import { Source, SingleFileOptions, Loader } from '@graphql-toolkit/common';
import { RawModule } from './import-parser';
import { ValidDefinitionNode } from './import-parser/definition';
export declare type LoadTypedefsOptions<ExtraConfig = {
    [key: string]: any;
}> = SingleFileOptions & ExtraConfig & {
    processedFiles?: Map<string, RawModule[]>;
    typeDefinitions?: ValidDefinitionNode[][];
    allDefinitions?: ValidDefinitionNode[][];
    cache?: {
        [key: string]: Source;
    };
    loaders: Loader[];
    filterKinds?: string[];
    ignore?: string | string[];
    sort?: boolean;
    skipGraphQLImport?: boolean;
    forceGraphQLImport?: boolean;
};
export declare type UnnormalizedTypeDefPointer = {
    [key: string]: any;
} | string;
export declare function normalizePointers(unnormalizedPointerOrPointers: UnnormalizedTypeDefPointer | UnnormalizedTypeDefPointer[]): {
    [key: string]: any;
};
export declare function loadTypedefs<AdditionalConfig = {}>(pointerOrPointers: UnnormalizedTypeDefPointer | UnnormalizedTypeDefPointer[], options: LoadTypedefsOptions<Partial<AdditionalConfig>>): Promise<Source[]>;
export declare function loadSingleFile(pointer: string, options: LoadTypedefsOptions): Promise<Source>;
